<?php
/**
 * NewsMass Admin Class.
 *
 * @package NewsMass
 * @since   1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('NewsMass_Admin')) :
    /**
     * NewsMass_Admin Class.
     */
    class NewsMass_Admin
    {
        /**
         * Constructor.
         */
        public function __construct()
        {
            add_action('admin_enqueue_scripts', array($this, 'enqueue_scripts'));
        }

        /**
         * Localize array for import button AJAX request.
         */
        public function enqueue_scripts()
        {
            $suffix = (defined('SCRIPT_DEBUG') && SCRIPT_DEBUG) ? '' : '.min';
            $file_name = is_rtl() ? 'admin-rtl' . $suffix . '.css' : 'admin' . $suffix . '.css';
            wp_enqueue_style(
                'newsmass-admin-style',
                get_template_directory_uri() . '/inc/admin/dashboard/css/' . $file_name,
                array(),
                NEWSMASS_VERSION
            );

            wp_enqueue_script('newsmass-plugin-install-helper', get_template_directory_uri() . '/inc/admin/dashboard/js/admin.js', array('jquery'), NEWSMASS_VERSION, true);
            $welcome_data = array(
                'uri' => esc_url(admin_url('/themes.php?page=newsmass&tab=starter-templates')),
                'btn_text' => esc_html__('Processing...', 'newsmass'),
                'nonce' => wp_create_nonce('newsmass_demo_import_nonce'),
                'admin_url' => esc_url(admin_url()),
                'ajaxurl' => admin_url('admin-ajax.php'), // Include this line for using admin-ajax.php
            );
            wp_localize_script('newsmass-plugin-install-helper', 'newsmassRedirectDemoPage', $welcome_data);
        }
    }
endif;
return new NewsMass_Admin();
